function spa_sauna_openNav() {
  jQuery(".sidenav").addClass('show');
}
function spa_sauna_closeNav() {
  jQuery(".sidenav").removeClass('show');
}

( function( window, document ) {
  function spa_sauna_keepFocusInMenu() {
    document.addEventListener( 'keydown', function( e ) {
      const spa_sauna_nav = document.querySelector( '.sidenav' );

      if ( ! spa_sauna_nav || ! spa_sauna_nav.classList.contains( 'show' ) ) {
        return;
      }
      const elements = [...spa_sauna_nav.querySelectorAll( 'input, a, button' )],
        spa_sauna_lastEl = elements[ elements.length - 1 ],
        spa_sauna_firstEl = elements[0],
        spa_sauna_activeEl = document.activeElement,
        tabKey = e.keyCode === 9,
        shiftKey = e.shiftKey;

      if ( ! shiftKey && tabKey && spa_sauna_lastEl === spa_sauna_activeEl ) {
        e.preventDefault();
        spa_sauna_firstEl.focus();
      }

      if ( shiftKey && tabKey && spa_sauna_firstEl === spa_sauna_activeEl ) {
        e.preventDefault();
        spa_sauna_lastEl.focus();
      }
    } );
  }
  spa_sauna_keepFocusInMenu();
} )( window, document );

var spa_sauna_btn = jQuery('#button');

jQuery(window).scroll(function() {
  if (jQuery(window).scrollTop() > 300) {
    spa_sauna_btn.addClass('show');
  } else {
    spa_sauna_btn.removeClass('show');
  }
});

spa_sauna_btn.on('click', function(e) {
  e.preventDefault();
  jQuery('html, body').animate({scrollTop:0}, '300');
});

jQuery(document).ready(function() {
    var owl = jQuery('#top-slider .owl-carousel');
    owl.owlCarousel({
    margin: 0,
    nav:true,
    autoplay : true,
    lazyLoad: true,
    autoplayTimeout: 5000,
    loop: false,
    dots: false,
    navText : ['<i class="fas fa-arrow-left" aria-hidden="true"></i>','<i class="fas fa-arrow-right" aria-hidden="true"></i>'],
    responsive: {
      0: {
        items: 1
      },
      576: {
        items: 1
      },
      768: {
        items: 1
      },
      1000: {
        items: 1
      },
      1200: {
        items: 1
      }
    },
    autoplayHoverPause : false,
    mouseDrag: true
  });
  var owl = jQuery('.featured .owl-carousel');
    owl.owlCarousel({
    margin: 30,
    nav:false,
    autoplay : true,
    lazyLoad: true,
    autoplayTimeout: 5000,
    loop: true,
    dots: false,
    navText : ['<i class="fas fa-arrow-left" aria-hidden="true"></i>','<i class="fas fa-arrow-right" aria-hidden="true"></i>'],
    responsive: {
      0: {
        items: 1
      },
      576: {
        items: 1
      },
      768: {
        items: 2
      },
      1000: {
        items: 3
      },
      1200: {
        items: 3
      }
    },
    autoplayHoverPause : false,
    mouseDrag: true,
  });
})

window.addEventListener('load', (event) => {
  jQuery(".loading").delay(2000).fadeOut("slow");
});

jQuery(document).ready(function(){
  jQuery("button.cat-btn").click(function(){
    const parent_all_categories = jQuery(this).closest('.all-categories').find('.home_product_cat');
    jQuery(parent_all_categories).toggle();
  });
});

jQuery(window).scroll(function() {
  var data_sticky = jQuery('.main-header').attr('data-sticky');

  if (data_sticky == "true") {
    if (jQuery(this).scrollTop() > 1){
      jQuery('.main-header').addClass("stick_header");
    } else {
      jQuery('.main-header').removeClass("stick_header");
    }
  }
});